package net.knarcraft.knarlib;

import org.bukkit.plugin.java.JavaPlugin;

/**
 * KnarLib's main class
 */
public final class KnarLib {

    private static JavaPlugin plugin;

    /**
     * Gets a plugin instance for use with the bukkit scheduler or similar
     *
     * @return <p>A plugin instance</p>
     */
    public static JavaPlugin getPlugin() {
        return plugin;
    }

    /**
     * Sets an instance of the plugin used with KnarLib
     *
     * @param plugin <p>The plugin instance to use</p>
     */
    public static void setPlugin(JavaPlugin plugin) {
        KnarLib.plugin = plugin;
    }


}
